extends Resource

class_name Item

@export var id : int
@export var value : int
@export var name : String
@export var weight : int
@export var primary_objective : bool
@export var secondary_objective : bool
var controller : Marker3D


func set_controller(new_controller : Marker3D):
	controller = new_controller

func get_controller() -> Marker3D:
	return controller